Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Typedefs | Functions | Variables
drop_while.hpp File Reference

## Classes
struct | ranges::drop_while_view< Rng, Pred >
struct | ranges::views::drop_while_base_fn
struct | ranges::views::drop_while_bind_fn
struct | ranges::views::drop_while_fn

## Typedefs
template<typename Rng , typename Pred >
using | ranges::cpp20::drop_while_view = ranges::drop_while_view< Rng, Pred >

## Functions
template<typename Rng , typename Fun >
| ranges::drop_while_view (Rng &&, Fun) -> drop_while_view< views::all_t< Rng >, Fun >

## Variables
template<typename Rng , typename Pred >
constexpr bool | ranges::disable_sized_range< drop_while_view< Rng, Pred > >
template<typename Rng , typename Pred >
constexpr bool | ranges::enable_borrowed_range< drop_while_view< Rng, Pred > >

## Typedef Documentation

## ◆ drop_while_view

template<typename Rng , typename Pred >

using ranges::cpp20::drop_while_view = typedef ranges::drop_while_view<Rng, Pred>

Precondition
  requires `viewable_range<Rng> && input_range<Rng> && indirect_unary_predicate<Pred, iterator_t<Rng>>`